DomainClassMarshaller (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.web.converters.marshaller.xml

## [Java] Class DomainClassMarshaller

- org.grails.web.converters.marshaller.xml.DomainClassMarshaller

- Object marshaller for domain classes to XML

  Authors:
    Siegfried Puchbauer
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsApplication` | `application` |
    `protected boolean` | `includeVersion` |
    `protected ProxyHandler` | `proxyHandler` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassMarshaller (GrailsApplication application)`
    `DomainClassMarshaller (boolean includeVersion, GrailsApplication application)`
    `DomainClassMarshaller (boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `asShortObject(java.lang.Object refObj, XML xml, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
    `protected boolean` | `isRenderDomainClassRelations()`
    `void` | `marshalObject(java.lang.Object value, XML xml)`
    `protected boolean` | `shouldInitializeProxies()`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class IncludeExcludePropertyMarshaller` | `excludesProperty, includesProperty, shouldInclude`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsApplication application

    - #### protected final boolean includeVersion

    - #### protected ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### public DomainClassMarshaller(GrailsApplication application)

    - #### public DomainClassMarshaller(boolean includeVersion, GrailsApplication application)

    - #### public DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

  - ### Method Detail

    - #### protected void asShortObject(java.lang.Object refObj, XML xml, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)

    - #### protected boolean isRenderDomainClassRelations()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public void marshalObject(java.lang.Object value, XML xml)

    - #### protected boolean shouldInitializeProxies()

    - #### public boolean supports(java.lang.Object object)